Skip to content
Go to Micro

List webhook deliveries

client.Webhooks.Deliveries.List(ctx, webhookID, params) (*WebhookDeliveryListResponse, error)
GET/v2/webhooks/{teamId}/{webhookId}/deliveries

An endpoint’s deliveries, newest first, with optional status / type / time-range filters and cursor pagination.

ParametersExpand Collapse
webhookID string
formatuuid
params WebhookDeliveryListParams
TeamID param.Field[string]Optional

Path param

formatuuid
After param.Field[Time]Optional

Query param: Only deliveries at or after this ISO-8601 timestamp.

formatdate-time
Before param.Field[Time]Optional

Query param: Only deliveries at or before this ISO-8601 timestamp.

formatdate-time
Cursor param.Field[string]Optional

Query param: Opaque cursor from a previous response’s next_cursor.

Limit param.Field[int64]Optional

Query param: Page size (1–100, default 25).

minimum1
maximum100
Status param.Field[WebhookDeliveryListParamsStatus]Optional

Query param: Filter by outcome.

const WebhookDeliveryListParamsStatusSuccess WebhookDeliveryListParamsStatus = "success"
const WebhookDeliveryListParamsStatusFailed WebhookDeliveryListParamsStatus = "failed"
Type param.Field[WebhookDeliveryListParamsType]Optional

Query param: Filter by run type. Defaults to delivery (event deliveries). Pass all to include verification handshakes.

const WebhookDeliveryListParamsTypeDelivery WebhookDeliveryListParamsType = "delivery"
const WebhookDeliveryListParamsTypeVerification WebhookDeliveryListParamsType = "verification"
const WebhookDeliveryListParamsTypeAll WebhookDeliveryListParamsType = "all"
ReturnsExpand Collapse
type WebhookDeliveryListResponse struct{…}
CreatedAt Time
formatdate-time
DeliveryID string
formatuuid
Status WebhookDeliveryStatus
One of the following:
const WebhookDeliveryStatusSuccess WebhookDeliveryStatus = "success"
const WebhookDeliveryStatusFailed WebhookDeliveryStatus = "failed"
Type WebhookDeliveryType
One of the following:
const WebhookDeliveryTypeDelivery WebhookDeliveryType = "delivery"
const WebhookDeliveryTypeVerification WebhookDeliveryType = "verification"
WebhookID string
formatuuid
Attempts int64Optional

Number of attempts made so far (including async retries).

Event stringOptional

Event name (e.g. webhook.test); verification for handshake runs.

StatusCode int64Optional

HTTP status of the latest attempt; null on a transport error.

TeamID stringOptional
formatuuid
UpdatedAt TimeOptional
formatdate-time
URL stringOptional
NextCursor stringOptional

Pass as cursor to fetch the next page; null when there are no more.

List webhook deliveries

package main

import (
  "context"
  "fmt"

  "github.com/micro-so/micro-sdk-go"
  "github.com/micro-so/micro-sdk-go/option"
)

func main() {
  client := micro.NewClient(
    option.WithAPIKey("My API Key"),
    option.WithTeamID("My Team ID"),
  )
  deliveries, err := client.Webhooks.Deliveries.List(
    context.TODO(),
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    micro.WebhookDeliveryListParams{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", deliveries.Data)
}
{
  "data": [
    {
      "created_at": "2019-12-27T18:11:19.117Z",
      "delivery_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "status": "success",
      "type": "delivery",
      "webhook_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "attempts": 0,
      "event": "event",
      "status_code": 0,
      "team_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "url": "url"
    }
  ],
  "next_cursor": "next_cursor"
}
Returns Examples
{
  "data": [
    {
      "created_at": "2019-12-27T18:11:19.117Z",
      "delivery_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "status": "success",
      "type": "delivery",
      "webhook_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "attempts": 0,
      "event": "event",
      "status_code": 0,
      "team_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "url": "url"
    }
  ],
  "next_cursor": "next_cursor"
}